> For the complete documentation index, see [llms.txt](https://docs.metanames.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.metanames.app/developers/domains.md).

# Domains

### Calculate fees

You can calculate the fees for your domain with:

```typescript
sonst domainName = 'supercool.mpc'
const { fees, symbol, feesLabel } = await config.sdk.domainRepository.calculateMintFees(domainName, 'ETH')
console.log(`Fees amount ${feesLabel} for ${symbol} with raw fees as ${fees}`)
```

### Approve fees

To register a domain you need to first approve the fees with:

```typescript
const domainName = 'supercool.mpc'
const { transactionHash, fetchResult } = await config.sdk.domainRepository.approveMintFees(domainName, 'ETH')
const result = await fetchResult
console.log(`Fees approval submitted: ${result}`);
```

### Register a Domain

Minting a domain involves registering a new domain in the Meta Names system. You can also specify a parent domain during the registration. Here's how you can use the `register` function to achieve this:

#### Register a new domain without a parent:

```javascript
const { transactionHash, fetchResult } = await metaNamesSdk.domainRepository.register({
  domain: 'randomName',
  to: 'recipientAddress',
});
console.log(`Transaction hash: ${transactionHash}`);
const result = await fetchResult;
console.log(`Domain registration submitted: ${result}`);
```

#### Register a new domain with a parent domain:

```javascript
const { transactionHash, fetchResult } = await metaNamesSdk.domainRepository.register({
  domain: 'subname',
  to: 'recipientAddress',
  parentDomain: 'parentDomainName',
});
console.log(`Transaction hash: ${transactionHash}`);
const result = await fetchResult;
console.log(`Domain registration submitted: ${result}`);
```

Replace `'randomName'`, `'recipientAddress'`, and `'parentDomainName'` with actual values.

### Finding Domain Information

You can use the `find` function to retrieve information about a specific domain:

```javascript
const data = await metaNamesSdk.domainRepository.find('domainName');
console.log(`Domain data: ${data}`);
```

Replace `'domainName'` with the domain name you want to find information for.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.metanames.app/developers/domains.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
